/* $Id: sofi_pfits.h,v 1.6 2013-03-12 08:04:54 llundin Exp $
 *
 * This file is part of the SOFI Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2013-03-12 08:04:54 $
 * $Revision: 1.6 $
 * $Name: not supported by cvs2svn $
 */

#ifndef SOFI_PFITS_H
#define SOFI_PFITS_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/* TEMPORARY SUPPORT OF CPL 5.x */
#ifndef CPL_SIZE_FORMAT
#define CPL_SIZE_FORMAT "d"
#define cpl_size int
#endif
/* END TEMPORARY SUPPORT OF CPL 5.x */

/*-----------------------------------------------------------------------------
   								Functions prototypes
 -----------------------------------------------------------------------------*/

double sofi_pfits_get_airmass_start(const cpl_propertylist *);
double sofi_pfits_get_airmass_end(const cpl_propertylist *);
const char * sofi_pfits_get_arcfile(const cpl_propertylist *);
const char * sofi_pfits_get_chip(const cpl_propertylist *);
double sofi_pfits_get_cumoffsetx(const cpl_propertylist *);
double sofi_pfits_get_cumoffsety(const cpl_propertylist *);
int sofi_pfits_get_current_exp_nb(const cpl_propertylist *);
const char * sofi_pfits_get_date(const cpl_propertylist *);
const char * sofi_pfits_get_date_obs(const cpl_propertylist *);
double sofi_pfits_get_dec(const cpl_propertylist *);
const char * sofi_pfits_get_frame_type(const cpl_propertylist *);
double sofi_pfits_get_dit(const cpl_propertylist *);
const char * sofi_pfits_get_dpr_catg(const cpl_propertylist *);
const char * sofi_pfits_get_dpr_tech(const cpl_propertylist *);
const char * sofi_pfits_get_dpr_type(const cpl_propertylist *);
const char * sofi_pfits_get_filter(const cpl_propertylist *);
double sofi_pfits_get_humidity_level(const cpl_propertylist *);
const char * sofi_pfits_get_instrument(const cpl_propertylist *);
const char * sofi_pfits_get_lamp1_name(const cpl_propertylist *);
int sofi_pfits_get_lamp1_status(const cpl_propertylist *);
const char * sofi_pfits_get_lamp2_name(const cpl_propertylist *);
int sofi_pfits_get_lamp2_status(const cpl_propertylist *);
double sofi_pfits_get_mjdobs(const cpl_propertylist *);
const char * sofi_pfits_get_mode(const cpl_propertylist *);
int sofi_pfits_get_naxis2(const cpl_propertylist *);
int sofi_pfits_get_ndit(const cpl_propertylist *);
int sofi_pfits_get_numbexp(const cpl_propertylist *);
int sofi_pfits_get_obs_id(const cpl_propertylist *);
const char * sofi_pfits_get_targ_name(const cpl_propertylist *);
const char * sofi_pfits_get_opti1_id(const cpl_propertylist *);
const char * sofi_pfits_get_origfile(const cpl_propertylist *);
double sofi_pfits_get_pixscale(const cpl_propertylist *);
double sofi_pfits_get_ra(const cpl_propertylist *);
const char * sofi_pfits_get_resolution(const cpl_propertylist *);
int sofi_pfits_get_rom(const cpl_propertylist *);
const char * sofi_pfits_get_romode_name(const cpl_propertylist *);
const char * sofi_pfits_get_rom_name(const cpl_propertylist *);
int sofi_pfits_get_rspeed(const cpl_propertylist *);
const char * sofi_pfits_get_templateid(const cpl_propertylist *);

#endif
