/* $Id: sofi_utils.h,v 1.9 2013-03-12 08:04:54 llundin Exp $
 *
 * This file is part of the SOFI Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
 */

/*
 * $Author: llundin $
 * $Date: 2013-03-12 08:04:54 $
 * $Revision: 1.9 $
 * $Name: not supported by cvs2svn $
 */

#ifndef SOFI_UTILS_H
#define SOFI_UTILS_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
                                Includes
 -----------------------------------------------------------------------------*/

typedef enum _SOFI_BAND_ {
    SOFI_BAND_J,
    SOFI_BAND_JS,
    SOFI_BAND_JBLOCK,
    SOFI_BAND_H,
    SOFI_BAND_K,
    SOFI_BAND_KS,
    SOFI_BAND_L,
    SOFI_BAND_M,
    SOFI_BAND_LP,
    SOFI_BAND_MP,
    SOFI_BAND_Z,
    SOFI_BAND_SZ,
    SOFI_BAND_SH,
    SOFI_BAND_SK,
    SOFI_BAND_SL,
    SOFI_BAND_UNKNOWN
} sofi_band ;

/*-----------------------------------------------------------------------------
   							        Prototypes
 -----------------------------------------------------------------------------*/

const char * sofi_get_license(void) ;
cpl_bivector * sofi_get_offsets(cpl_frameset *) ;
sofi_band sofi_get_bbfilter(char *) ;
const char * sofi_std_band_name(sofi_band) ;
int sofi_correct_crosstalk(cpl_image *) ;
int sofi_correct_crosstalk_list(cpl_imagelist *) ;
cpl_frameset * sofi_extract_frameset(const cpl_frameset *, const char *) ;
const char * sofi_extract_filename(const cpl_frameset *, const char *) ;
int sofi_detlin_correct(cpl_imagelist *, const char *, const char *,
        const char *) ;

#endif
